View Issue Details

IDProjectCategoryView StatusLast Update
0001776Ham Radio DeluxeBugpublic2017-08-05 18:58
Reporteruser47 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001776: Logbook - if add custom fields and rename the field name - unable to sort column.
DescriptionLogbook - if add custom fields and rename the field name - unable to sort column.
Steps To ReproduceAdd custom column to logbook view
Add some info in the custom column
Sort by clicking on the header for the column - sort works
Edit the name of the column (configure) from ALE tab - sort no longer works

Additional Informationsee attached file. (tested on 6.3.0.427)
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

Activities

user47

2015-09-28 06:16

 

sort order fail - custom column.docx (159,193 bytes)

W4PC

2015-10-06 07:33

updater   ~0000633

confirmed by Robin

WA9PIE

2016-12-03 16:49

administrator   ~0003042

Confirmed in previous testing.

WA9PIE

2017-06-25 22:23

administrator   ~0003321

This one ended up being fixed as a result of the sorting columns fix. It had nothing to do with whether or not the column was renamed.

WA9PIE

2017-07-04 23:30

administrator   ~0003482

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003517

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003554

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2015-09-28 06:16 user47 New Issue
2015-09-28 06:16 user47 File Added: sort order fail - custom column.docx
2015-10-06 07:33 W4PC Assigned To => ERIK
2015-10-06 07:33 W4PC Status new => assigned
2015-10-06 07:33 W4PC Note Added: 0000633
2015-10-06 07:33 W4PC Status assigned => confirmed
2016-12-03 16:49 WA9PIE Reported in Build (ie. 377) 6.3 => 427
2016-12-03 16:49 WA9PIE Note Added: 0003042
2016-12-03 16:49 WA9PIE Status confirmed => acknowledged
2017-03-08 10:41 WA9PIE Assigned To ERIK => WA9PIE
2017-06-24 08:24 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-06-25 22:23 WA9PIE Assigned To WA9PIE => K7ZCZ
2017-06-25 22:23 WA9PIE Status acknowledged => resolved
2017-06-25 22:23 WA9PIE Resolution open => fixed
2017-06-25 22:23 WA9PIE Sub-Module Functional => Appearance/UI
2017-06-25 22:23 WA9PIE Note Added: 0003321
2017-06-25 22:24 WA9PIE Fixed in Version => 6.4.0.652
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:23 WA9PIE Target Version => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003482
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003517
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003554
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>